use P4::test;
use P4::TM { DATA_DIR => 'self' };
use File::Copy;

copy "$script_abspath.53.lua", 'p4script.53.lua';

$ENV{ P4EXTENSIONS } = 'p4script';

`p4 client -o | p4 client -i`;

write_file 'a', 'a' x 122;
write_file 'b', 'b' x 123;
write_file 'c', 'c' x 124;
write_file 'f', 'f' x 125;

tm `p4 add` =~ s/Usage: .*//gr;
tm `p4 add a b c d e f g`;
tm `p4 add a b   d e  g`;
tm `p4 opened`;

__DATA__
[[16,17,18,19],
[
  'p4 add` =~ s/Usage: .*//gr',
  '

Missing/wrong number of arguments.
',
  1,
  'p4 add a b c d e f g',
  '
Client Extension message (/*/p4script.53.lua): Files over size limit:  c 124, f 125
Command rejected in \'preCommand\' by client Extension (/*/p4script.53.lua).
',
  1,
  'p4 add a b   d e  g',
  '
//depot/a#1 - opened for add
//depot/b#1 - opened for add
//depot/d#1 - opened for add
/*/d - missing, assuming text.
//depot/e#1 - opened for add
/*/e - missing, assuming text.
//depot/g#1 - opened for add
/*/g - missing, assuming text.
',
  0,
  'p4 opened',
  '
//depot/a#1 - add default change (text)
//depot/b#1 - add default change (text)
//depot/d#1 - add default change (text)
//depot/e#1 - add default change (text)
//depot/g#1 - add default change (text)
',
  0
]
]
